register_assert_handler(3)

NAME
register_assert_handler - Registers a custom handler for assert failures. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void register_assert_handler(int (*handler)(const char *msg));

DESCRIPTION
Supplies a custom handler function for dealing with assert failures. Your callback will be passed a formatted error message in ASCII, and should return non-zero if it has processed the error, or zero to continue with the default actions. You could use this to ignore assert failures, or to display the error messages on a graphics mode screen without aborting the program. Example:
   int show_but_continue(const char *text)
   {
       alert("Uh oh...", "Fasten your seat belts.", text,
             "&Go on!", NULL, 'g', 0);
       return 1;
   }
   ...
      register_assert(show_but_continue);
      ASSERT(0); /* This won't crash the program now. */

SEE ALSO
al_assert(3), ASSERT(3), register_trace_handler(3)